<div class="center">
  <form [formGroup]="checkBalanceForm" (ngSubmit)="onCheckBalance()">
    <mat-form-field appearance="legacy">
      <mat-label>Enter bankcard id</mat-label>
      <input type="number" matInput formControlName="bankCardId">
      <mat-error *ngIf="bankCardIdControl.hasError('required')">Please enter bankcard id</mat-error>
    </mat-form-field>
    <div>
      <hr class="hr">
      <button
        mat-raised-button
        type="submit"
        [disabled]="!checkBalanceForm.valid">Check Balance</button>
    </div>
  </form>
</div>
<div *ngIf="balance">
  The account balance is: {{ balance}}
</div>
